/* Estilos globales */
body {
  background-color: black;
  font-family: "Calibri", "Raleway", "Roboto", "Nunito Sans", "Lora",
    "Montserrat", sans-serif;

  -webkit-user-select: none; /* Chrome, Safari */
  -moz-user-select: none; /* Firefox */
  -ms-user-select: none; /* Internet Explorer/Edge */
  user-select: none; /* Propiedad estándar */
}

/* Deshabilitar el arrastre de imágenes */
/* Bloquear el arrastre de imágenes */

h1 {
  font-size: 24px;
  font-weight: bold;
  text-align: center;
  margin-bottom: 20px;
  color: black;
}

h2 {
  font-size: 20px;
  font-weight: bold;
  margin-top: 30px;
  margin-bottom: 10px;
}

p {
  font-size: 18px;
  margin-bottom: 10px;
}

@media (max-width: 768px) {
  h1,
  h2,
  p {
    font-size: 16px;
  }
}

/*****************/
/*header text*/
/*******************/

.header-text {
  text-align: center;
  color: #a49667;
}
/* Estilos para las imágenes de alérgenos */
.encabezado {
  border: 1px solid #ccc;
  margin: 20px 0;
  padding: 10px;
  box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.2);
  border-radius: 10px;
  /* Bordes redondos */
  background-color: blanchedalmond;
}

/* Estilos para los contenedores de platotitulos */
.plato-container {
  text-align: center;
}

.section-container {
  border: 1px solid #ccc;
  margin: 20px 0;
  padding: 10px;
  box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.2);
  border-radius: 10px;
  background-color: blanchedalmond;
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  -ms-border-radius: 10px;
  -o-border-radius: 10px;
}

/* Estilos para la imagen desde URL en el CSS */
.responsive-img {
  max-width: 100%;
  height: auto;
  display: block;
  margin: 0 auto;
  background-image: url("https://www.restaurantlasarte.com/includes/templates/images/common/logo.png");
  background-size: cover;
}

/********************img publili****************/
/**********************************************/

/***empresa***/
.empresa {
  text-align: center;
  margin-top: 20px;
  margin-bottom: 20px;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.empresa img {
  max-width: 100%;
  height: auto;
  display: block;
  margin: 0 auto;
  border-radius: 10px;
}

/****info-adicional*/
/******info-adicional*/
.info-adicional {
  text-align: center;
  font-size: 16px;
  /* Tamaño de fuente predeterminado */
}

@media (max-width: 768px) {
  .info-adicional {
    font-size: 14px;
  }
}

/* CSS para cambiar el tamaño de las imágenes de alérgenos */
/************************************************************/
.alergeno {
  display: flex;
}

.alergeno-img {
  max-width: 36px;
  max-height: 36px;
  margin-right: 5px;
}

/* Para pantallas más pequeñas, ajusta los estilos de los iconos de alérgenos */
@media (max-width: 768px) {
  .alergeno-img {
    max-width: 24px;
    max-height: 24px;
    margin-right: 3px;
    width: auto;
    height: auto;
  }
}

@media (min-width: 769px) and (max-width: 1024px) {
  .alergeno-img {
    max-width: 24px;
    max-height: 24px;
    margin-right: 5px;
  }
}

/**********cons cartA*************/
.letra-o {
  color: red;
  font-weight: bold;
}

.descripcion-linea {
  font-size: 10px;
  color: brown;
}

.descripcion-linea br {
  /* Estilos para los saltos de línea dentro de la descripción */
  margin-top: 10px;
  /* Ajusta el espaciado vertical entre líneas según tu preferencia */
}

.descripcion-plato {
  font-size: 16px;
  color: black;
  font-weight: bold;
}

.alergenos-plato {
  font-size: 16px;
}

@media (max-width: 768px) {
  .titulo-plato {
    font-size: 18px;
  }

  .descripcion-plato {
    font-size: 14px;
  }
}

/*********cuadro alergenos*/
.cuadroalerg {
  max-width: 100%;
  max-height: 100%;
  border: 2px solid #000;
  border-radius: 10px;
  display: block;
  margin: 0 auto;
}

/* Para pantallas más pequeñas, expande el tamaño de la imagen */
@media (max-width: 768px) {
  .cuadroalerg {
    max-width: 100%;
    max-height: 150%;
  }
}
/****imagen cuadro alergenos info adicional*****/
/**********************************/
/* Estilos base para .cuadroalerg */
@media only screen and (max-width: 767px) {
  .cuadroalerg {
    cursor: pointer;
    transition: transform 0.3s ease;
  }
}
/* Efecto de zoom al pasar el mouse (hover) solo en dispositivos móviles */
@media only screen and (max-width: 767px) {
  .cuadroalerg:hover {
    transform: scale(1.2);
  }
}

/* Efecto de zoom al hacer clic solo en dispositivos móviles */
@media only screen and (max-width: 767px) {
  .cuadroalerg:active {
    transform: scale(1.5);
  }
}

/* Efecto de zoom persistente solo en dispositivos móviles */
@media only screen and (max-width: 767px) {
  .cuadroalerg.zoomed {
    transform: scale(1.5);
  }
}
/***********************
/****patrocinadores***/
/***********************/

.texto-patrocinador {
  flex-direction: column;
  justify-content: center;
  align-items: center;
  font-size: 24px;
  font-weight: bold;
  text-align: center;
}
@media (max-width: 768px) {
  .texto-patrocinador {
    font-size: 18px;
    font-weight: bolder;
  }
}

/****************card************/

.card-img-top {
  max-width: 80vw;
  max-height: 150px;
  height: auto;
  display: block;
  margin: 0 auto;
}

.card {
  background-color: #000003 !important;
  margin-bottom: 20px;
  border: 0px;
}
.cardPubli {
  background-color: white !important;
  border: 2px solid #ccc;
  border-radius: 10px;
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 10px;
  margin: 10px;
  width: 200px;
  height: auto;
}
.card-header {
  padding: 6px;
  background-color: #000003 !important;
  border-radius: 8px !important;
  border-style: solid;
  border-color: #a49667;
  border-width: 1px;
  margin-bottom: 0px !important;
}
.buton {
  color: #a49667;
}

.buton:hover {
  color: white; /* Color en hover */
}

/**menu mediodia cons carta*/
.descripcion-alergenos {
  color: brown; /* Puedes ajustar el color según tus preferencias */
  font-style: italic;
  font-weight: bolder;
  font-size: 10px;
}

/****** alergenos*************/
/************************************/

.allergens {
  display: inline-flex;
  align-items: center;
  margin-top: 10px;
}

.allergens img {
  width: 12px;
  height: 12px;
  margin-right: 8px;
}

@media only screen and (max-width: 768px) {
  .allergens {
    margin-left: 0;
    margin-top: 15px;
    margin-bottom: 25px;
  }

  .allergens img {
    width: 24px;
    height: 24px;
  }
}

/***********************************/
/* Estilos para íconos sociales */
/***********************************/
.facebook-social,
.phone-social,
.instagram-social,
.calendar-check-social,
.map-marker-alt-social,
.globe-social,
.glovo-social {
  color: brown;
  font-size: 32px;
  margin-right: 10px;
  background-color: white;
  border-radius: 50%;
  padding: 10px;
  width: 50px;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.iconos-container {
  display: flex;
  border: 1px solid brown;
  padding: 10px;
  border-radius: 10px;
  background-color: brown;
  flex-direction: row;
  justify-content: center;
}

/* Estilos para pantallas más pequeñas (hasta 768px de ancho) */
@media (max-width: 768px) {
  .iconos-container {
    flex-wrap: wrap;
    justify-content: space-around;
  }

  .facebook-social,
  .phone-social,
  .instagram-social,
  .calendar-check-social,
  .map-marker-alt-social,
  .globe-social,
  .glovo-social {
    font-size: 24px;
    width: 40px;
    height: 40px;
    margin-right: 10px;
    margin-bottom: 10px;
  }

  .icon-ingles img,
  .icon-espana img {
    width: 40px;
    height: 40px;
  }
}

/*******************************/
/*************container y logo***********/
/*******************************/

.rest {
  text-align: center;
  padding: 15px 30px;
  margin: 40px auto;
  border: 3px solid orange;
  border-radius: 25px;
  font-size: 2.5rem;
  background-color: rgba(0, 0, 0, 0.5);
  color: #ffffff;
  box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.3);
  text-transform: uppercase;
  letter-spacing: 2px;
}

.logo {
  width: 120%;
  height: auto;
  border-radius: 0;
  box-shadow: none;
  margin-left: 50px;
}

.logo-container {
  width: 138px;
  height: auto;
  margin-bottom: -86px;
  text-align: left;
}

.links-container {
  margin: 20px auto;
  display: flex;
  justify-content: center;
  gap: 20px;
  background-color: brown;
  border: 1px solid #000;
  border-radius: 10px;
  padding: 10px;
}

.icon-link {
  font-size: 36px;
  color: #8b0a1a;
  text-decoration: none;
  border: 4px solid brown;
  border-radius: 50%;
  padding: 12px;
  background-color: #fff;
  width: 60px;
  height: 60px;
  display: flex;
  justify-content: center !important;
  align-items: center !important;
}

@media (max-width: 767px) {
  .demos {
    font-size: 22px;
    font-weight: bolder;
  }

  .logo-container {
    width: 100%;
    margin-bottom: 20px;
    text-align: center;
  }

  .logo {
    width: auto;
    max-width: 80%;
    height: auto;
    margin: 0 auto;
    display: block;
  }
  .links-container {
    margin: 20px auto;
    display: flex;
    justify-content: center;
    gap: 10px;
    background-color: brown;
    border: 1px solid #000;
    border-radius: 10px;
    padding: 10px;
  }

  .icon-link {
    font-size: 28px;
    color: #8b0a1a;
    text-decoration: none;
    border: 4px solid brown;
    border-radius: 50%;
    padding: 12px;
    background-color: #fff;
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center !important;
    align-items: center !important;
  }
}

/******************/
/****globo modal**/
/******************/

.glovo-social {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  background-color: white;
  margin-right: 10px;
  margin-top: -5px; /* Ajusta la posición vertical del contenedor */
}

.glovo-social img {
  width: 40px;
  height: 40px;
}

.modal-globo {
  background: white;
  margin-top: 50px;
  max-width: 80%;
  max-height: 80%;
  background-color: orange;
  border-radius: 8px;
}

.modal-header {
  text-align: center !important;
  font-size: 24px;
  font-weight: bolder;
}

@media (max-width: 768px) {
  .glovo-social {
    font-size: 24px;
    width: 40px;
    height: 40px;
    margin-right: 10px;
    margin-bottom: 10px;
  }
}

/*******separacion**/
.separacion {
  color: brown;
  margin-top: 10px;
  font-weight: bolder;
  font-size: 22px;
}

/**************************/
/*************filter navegacion*************/
/**************************/

.menu-filter {
  margin-bottom: 20px;
  text-align: center;
  transition: transform 0.3s;
}

.menu-filter button {
  margin: 5px;
  padding: 10px 20px; /* Botones más grandes */
  background-color: orange;
  color: black;
  border: none;
  cursor: pointer;
  border-radius: 4px;
  transition: background-color 0.3s; /* Añade una transición suave */
}

.menu-filter button:hover {
  background-color: #45a049;
}

/***boton subir arriba***/
.scroll-to-top {
  position: fixed;
  bottom: 20px;
  left: 20px;
  display: none;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background-color: orange;
  color: #ffffff;
  border: none;
  outline: none;
  cursor: pointer;
  transition: opacity 0.3s ease-in-out;
}

.scroll-to-top:hover {
  opacity: 0.8;
}
